/*
 * $Id$
 * Copyright (c) 2007, 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.ts.tests.servlet.api.javax_servlet_http.httpsession;

import com.sun.ts.tests.servlet.common.util.ServletTestUtil;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.IOException;
import java.io.PrintWriter;

public class GetLastAccessedTime extends HttpServlet {

    public void service(HttpServletRequest request, HttpServletResponse response) 
                       throws ServletException, IOException 
    {
        PrintWriter pw = response.getWriter();
	boolean passed = false;

        String TS1 = request.getParameter("t1");
        String TS2 = request.getParameter("t2");
        pw.println("Session created before " + TS1);
        pw.println("Session accessed before " + TS2);
        long t1 = Long.parseLong(TS1);
        long t2 = Long.parseLong(TS2);
        
        HttpSession session = request.getSession(false);    
        
        if ( session != null)
        {
            long t3 = session.getLastAccessedTime();
            if ( t3 < t1 ) {
                pw.println("Test failed: session.getLastAccessedTime() "
                            + "indicates last accessed at " + t3
                            + " which is before creation");
                ServletTestUtil.printResult(pw, false);
            } else {
                if ( t3 > t2 ) {
                    pw.println("Test failed: session.getLastAccessedTime() "
                                + "indicates last accessed at " + t3
                                + " which is after it was last accessed");
                    ServletTestUtil.printResult(pw, false);
                } else  {
                    pw.println("Test passed: session.getLastAccessedTime() "
                         + "indicates last accessed at " + t3
                         + " which is after creation,  "
                         + "and before the time returned from last access");
                    ServletTestUtil.printResult(pw, true);
                }
            }
        }
    }
}
