/*
* Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
* ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
*/

package com.sun.ts.tests.servlet.spec.security.denyUncovered;

import javax.servlet.ServletException;
import javax.servlet.http.*;
import java.io.*;

import com.sun.ts.lib.util.*;


/*
 * This servlet will be used to assist in testing the deny-uncovered-http-methods
 * security support (as listed in Servlet 3.1 spec, section 13.8.4).  
 * 
 * This is intended to be called from a Client, and will have specific settings
 * set on the web.xml that will allow (or disallow) certain http method calls
 * to be made based on the web.xml settings.
 *
 */
public class TestServlet extends HttpServlet {

    public void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        debug("in TestServlet.doGet()");
    }

    
    public void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        debug("in TestServlet.doPost()");
    }
 

    public void doDelete(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        debug("in TestServlet.doDelete()");
    }


    public void doPut(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        debug("in TestServlet.doPut()");
    }


    public void debug(String str) {
        System.out.println(str);
    }
    
}
